gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.IMMulticontext

Contents

- Exported types
- Methods
  - appendMenuitems
  - getContextId
  - new
  - setContextId

Description

No description available in the introspection data.

Synopsis

- newtype IMMulticontext = IMMulticontext (ManagedPtr IMMulticontext)
- class (GObject o, IsDescendantOf IMMulticontext o) => IsIMMulticontext o
- toIMMulticontext :: (MonadIO m, IsIMMulticontext o) => o -> m IMMulticontext
- iMMulticontextAppendMenuitems :: (HasCallStack, MonadIO m, IsIMMulticontext a, IsMenuShell b) => a -> b -> m ()
- iMMulticontextGetContextId :: (HasCallStack, MonadIO m, IsIMMulticontext a) => a -> m Text
- iMMulticontextNew :: (HasCallStack, MonadIO m) => m IMMulticontext
- iMMulticontextSetContextId :: (HasCallStack, MonadIO m, IsIMMulticontext a) => a -> Text -> m ()

# Exported types

newtype IMMulticontext Source #

Memory-managed wrapper type.

Constructors

IMMulticontext (ManagedPtr IMMulticontext) |

#### Instances

Instances details

Eq IMMulticontext Source # |
Instance details Defined in GI.Gtk.Objects.IMMulticontext Methods (==) :: IMMulticontext -> IMMulticontext -> Bool Source # (/=) :: IMMulticontext -> IMMulticontext -> Bool Source #
GObject IMMulticontext Source # |
Instance details Defined in GI.Gtk.Objects.IMMulticontext
ManagedPtrNewtype IMMulticontext Source # |
Instance details Defined in GI.Gtk.Objects.IMMulticontext Methods toManagedPtr :: IMMulticontext -> ManagedPtr IMMulticontext Source #
TypedObject IMMulticontext Source # |
Instance details Defined in GI.Gtk.Objects.IMMulticontext Methods glibType :: IO GType Source #
HasParentTypes IMMulticontext Source # |
Instance details Defined in GI.Gtk.Objects.IMMulticontext
IsGValue (Maybe IMMulticontext) Source # | Convert `IMMulticontext` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.IMMulticontext Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe IMMulticontext -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe IMMulticontext) Source #
type ParentTypes IMMulticontext Source # |
Instance details Defined in GI.Gtk.Objects.IMMulticontext type ParentTypes IMMulticontext = '[IMContext, Object]

class (GObject o, IsDescendantOf IMMulticontext o) => IsIMMulticontext o Source #

Type class for types which can be safely cast to `IMMulticontext`, for instance with `toIMMulticontext`.

#### Instances

Instances details

(GObject o, IsDescendantOf IMMulticontext o) => IsIMMulticontext o Source # |
Instance details Defined in GI.Gtk.Objects.IMMulticontext

toIMMulticontext :: (MonadIO m, IsIMMulticontext o) => o -> m IMMulticontext Source #

Cast to `IMMulticontext`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

appendMenuitems, bindProperty, bindPropertyFull, deleteSurrounding, filterKeypress, focusIn, focusOut, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, reset, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getContextId, getData, getPreeditString, getProperty, getQdata, getSurrounding.

#### Setters

setClientWindow, setContextId, setCursorLocation, setData, setDataFull, setProperty, setSurrounding, setUsePreedit.

## appendMenuitems

iMMulticontextAppendMenuitems Source #

Arguments

:: (HasCallStack, MonadIO m, IsIMMulticontext a, IsMenuShell b) |
=> a | `context`: a `IMMulticontext`
-> b | `menushell`: a `MenuShell`
-> m () |

Deprecated: (Since version 3.10)It is better to use the system-wide inputmethod framework for changing input methods. Moderndesktop shells offer on-screen displays for this thatcan triggered with a keyboard shortcut, e.g. Super-Space.

Add menuitems for various available input methods to a menu; the menuitems, when selected, will switch the input method for the context and the global default input method.

## getContextId

iMMulticontextGetContextId Source #

Arguments

:: (HasCallStack, MonadIO m, IsIMMulticontext a) |
=> a | `context`: a `IMMulticontext`
-> m Text | Returns: the id of the currently active slave

Gets the id of the currently active slave of the `context`.

Since: 2.16

## new

iMMulticontextNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m IMMulticontext | Returns: a new `IMMulticontext`.

Creates a new `IMMulticontext`.

## setContextId

iMMulticontextSetContextId Source #

Arguments

:: (HasCallStack, MonadIO m, IsIMMulticontext a) |
=> a | `context`: a `IMMulticontext`
-> Text | `contextId`: the id to use
-> m () |

Sets the context id for `context`.

This causes the currently active slave of `context` to be replaced by the slave corresponding to the new context id.

Since: 2.16